
Infrastructure - Task #7444

Story # 6852 (Closed): Log Aggr V2 Compliance

Test apache event_log_proxy

2015-10-20 14:58 - Robert Waltz

Status: Closed Start date: 2015-10-20

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_test_resources Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

The integration tests use d1-libclient-java and issue the query terms in the same order.  Test the permutations of the query terms to

determine if the rewrites work in all cases.

Associated revisions

Revision 16732 - 2015-10-22 16:46 - Robert Waltz

closes #7444

of 1956 permutations of the log query parameters. 190 failed. restructured rewrites of row and start to account for the failures.

Revision 16732 - 2015-10-22 16:46 - Robert Waltz

closes #7444

of 1956 permutations of the log query parameters. 190 failed. restructured rewrites of row and start to account for the failures.

History

#1 - 2015-10-20 15:00 - Robert Waltz

Using Perl, and Algorithm::Permute, I have been able to test 1956 permutations of the log query parameters.  190 appear to fail.

#2 - 2015-10-22 19:32 - Robert Waltz

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Applied in changeset d1-python:d1_python|r16732.
